Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QGb2312Codec Class Reference

The QGb2312Codec class provides conversion to and from the Chinese GB2312 encoding. More...

`#include <qgb18030codec.h>`

Inherits QGb18030Codec.

List of all member functions.

## Public Members

- QGb2312Codec ()

## Detailed Description

The QGb2312Codec class provides conversion to and from the Chinese GB2312 encoding.

The GB2312 encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GB2312. For this reason the QGb2312Codec class is implemented in terms of the GB18030 codec and uses its 0xA1A1-0xFEFE subset for conversion from and to Unicode.

The QGb2312Codec is kept mainly for compatibility reasons with older software.

See also Internationalization with Qt.

## Member Function Documentation

### QGb2312Codec::QGb2312Codec ()

reimp

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.